/**
 * 权限校验
 * 一、支持多种调用方式：
 * 1.函数式调用-->在react等框架中使用：直接导出validate方法使用
 * 2.vue指令或者原型链：导出directive自定义注册指令或者调用install方法注册指令，绑定原型链
 *
 * 二、支持多种权限校验模式
 * 1.is：单个权限校验
 * 2.atLeast: 满足传入权限组的某几个即可，用于权限组模糊的情况
 * 3.all：对传入的权限组全部进行校验，需全部满足
 * 4.自定义校验
 */
import { Permissions, InstallOptions } from "../types";
/**
 * 设置权限集合
 * 必须调用该方法
 * @param list<Array>: 要校验的权限合集，如果没有任何权限支持传入空数组或者null
 *
 * */
export declare function setPermissions(permissions: Permissions): void;
export declare function getPermissions(): Permissions;
export declare const validateFunMaps: Record<string, Function>;
export declare const directive: {
    inserted(el: any, binding: any): void;
};
export declare function install(Vue: any, options?: InstallOptions): void;
